/*
 © 2024 SMARTYADS, LDA doing business as “TEQBLAZE”.  All rights reserved.
 You may not use this file except in compliance with the applicable license granted to you by SMARTYADS, LDA doing business as “TEQBLAZE” (the "License").
 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 Specific authorizations and restrictions shall be provided for in the License.
 */

#import "TQBORTBAbstract.h"
#import "TQBORTBExtMobileSDKEvents.h"

@class TQBORTBExtMobileSDKPassthrough;

NS_ASSUME_NONNULL_BEGIN

@interface TQBORTBBidExtMobileSDK: TQBORTBAbstract

@property (nonatomic, copy, nullable) NSString *type;

// NOTE: Appstock server does not support remote config yet.
@property (nonatomic, copy, nullable) NSArray<TQBORTBExtMobileSDKPassthrough *> *passthrough;

// NOTE: Appstock events should be migrated or removed later.
// For now, we shouldn't use it.
@property (nonatomic, strong, nullable) TQBORTBExtMobileSDKEvents *events;

@end

NS_ASSUME_NONNULL_END
